diff -aburN --exclude='CVS*' phpgwapi.org/templates/default/navbar.inc.php phpgwapi/templates/default/navbar.inc.php
--- phpgwapi.org/templates/default/navbar.inc.php	2005-09-29 15:59:18.084807880 +0200
+++ phpgwapi/templates/default/navbar.inc.php	2005-09-29 16:01:02.236974344 +0200
@@ -93,12 +93,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-				. '<br /> Click this image on the navbar: <img src="'
-				. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
-		elseif ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
+		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
  
 		// This is gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/desktop/navbar.inc.php phpgwapi/templates/desktop/navbar.inc.php
--- phpgwapi.org/templates/desktop/navbar.inc.php	2005-09-29 15:59:18.070810008 +0200
+++ phpgwapi/templates/desktop/navbar.inc.php	2005-09-29 16:01:02.236974344 +0200
@@ -130,12 +130,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-				. '<br /> Click this image on the navbar: <img src="'
-				. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
-		elseif ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
+		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
  
 		// This is gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/idots/navbar.inc.php phpgwapi/templates/idots/navbar.inc.php
--- phpgwapi.org/templates/idots/navbar.inc.php	2005-09-29 15:59:18.021817456 +0200
+++ phpgwapi/templates/idots/navbar.inc.php	2005-09-29 16:01:02.237974192 +0200
@@ -98,12 +98,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-			. '<br /> Click this image on the navbar: <img src="'
-			. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
 		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
 
 		// This is gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/idsociety/navbar.inc.php phpgwapi/templates/idsociety/navbar.inc.php
--- phpgwapi.org/templates/idsociety/navbar.inc.php	2005-09-29 15:59:17.946828856 +0200
+++ phpgwapi/templates/idsociety/navbar.inc.php	2005-09-29 15:54:22.000000000 +0200
@@ -185,12 +185,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-				. '<br /> Click this image on the navbar: <img src="'
-				. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
-		elseif ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
+		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
  
 		// This is gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/justweb/navbar.inc.php phpgwapi/templates/justweb/navbar.inc.php
--- phpgwapi.org/templates/justweb/navbar.inc.php	2005-09-29 15:59:17.917833264 +0200
+++ phpgwapi/templates/justweb/navbar.inc.php	2005-09-29 15:54:22.000000000 +0200
@@ -78,12 +78,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-				. '<br /> Click this image on the navbar: <img src="'
-				. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
-		elseif ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
+		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
  
 		// This is gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/linux-at-work.de/navbar.inc.php phpgwapi/templates/linux-at-work.de/navbar.inc.php
--- phpgwapi.org/templates/linux-at-work.de/navbar.inc.php	2005-09-29 15:59:17.880838888 +0200
+++ phpgwapi/templates/linux-at-work.de/navbar.inc.php	2005-09-29 16:01:02.239973888 +0200
@@ -105,12 +105,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-				. '<br /> Click this image on the navbar: <img src="'
-				. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
-		elseif ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
+		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
  
 		// This is gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/probusiness/navbar.inc.php phpgwapi/templates/probusiness/navbar.inc.php
--- phpgwapi.org/templates/probusiness/navbar.inc.php	2005-09-29 15:59:17.861841776 +0200
+++ phpgwapi/templates/probusiness/navbar.inc.php	2005-09-29 16:01:02.239973888 +0200
@@ -110,12 +110,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-				. '<br /> Click this image on the navbar: <img src="'
-				. $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
-		elseif ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
+		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
 
 		// This gonna change
diff -aburN --exclude='CVS*' phpgwapi.org/templates/verdilak/navbar.inc.php phpgwapi/templates/verdilak/navbar.inc.php
--- phpgwapi.org/templates/verdilak/navbar.inc.php	2005-09-29 15:59:17.833846032 +0200
+++ phpgwapi/templates/verdilak/navbar.inc.php	2005-09-29 16:01:02.240973736 +0200
@@ -106,12 +106,21 @@
 		if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] == 0)
 		{
 			$api_messages = lang('You are required to change your password during your first login')
-                      . '<br /> Click this image on the navbar: <img src="'
-                      . $GLOBALS['phpgw']->common->image('preferences','navbar.gif').'">';
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">here</a>';
 		}
 		else if ($GLOBALS['phpgw_info']['user']['lastpasswd_change'] < time() - (86400*30))
 		{
-			$api_messages = lang('it has been more then %1 days since you changed your password',30);
+			$api_messages = lang('it has been more then %1 days since you changed your password',30)
+                     . '<br /> Click <a href="' . $GLOBALS['phpgw']->link('/preferences/changepassword.php') . '">' . lang('here') . '</a>';
+		}
+ 
+		if($api_messages)
+		{
+			$url = parse_url($GLOBALS['phpgw']->link('/preferences/changepassword.php'));
+			if($_SERVER['PHP_SELF'] != $url['path'])
+			{
+				$var['messages'] = $api_messages;
+			}
 		}
  
 		// This is gonna change
